Name:           simcoupe
Version:        1.0
Release:        6%{?dist}
Summary:        SAM Coupe emulator (spectrum compatible)
Group:          Applications/Emulators
License:        GPLv2+
URL:            http://www.simcoupe.org
Source0:        http://downloads.sourceforge.net/%{name}/SimCoupe-%{version}.tar.gz
Source1:        B-DOS-License.txt
Patch0:         simcoupe-1.0-userpmopts.patch
Patch1:         simcoupe-1.0-saasound.patch
Patch2:         simcoupe-1.0-no-builtin-rom.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SAASound-devel SDL-devel zlib-devel
BuildRequires:  ImageMagick desktop-file-utils
Requires:       samcoupe-rom hicolor-icon-theme

%description
SimCoupe emulates an 8bit Z80 based home computer, released in 1989 by Miles
Gordon Technology. The SAM Coupe was largely spectrum compatible, with much
improved hardware


%prep
%setup -q -n SimCoupe
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Clean up bundled SAASound to avoid accidentally building against it.
rm -f Extern/SAASound.h Extern/SAASound.cpp
cp -a %{SOURCE1} .


%build
pushd SDL
make %{?_smp_mflags} CFLAGSRPM="%{optflags}"
popd

#Build icon image
convert SDL/SimCoupe.bmp -transparent '#ffffff' %{name}.png

#Build desktop icon
cat >%{name}.desktop<<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SimCoupe
GenericName=SAM Coupe Emulator
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Emulator;
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -pm 0755 SDL/%{name} %{buildroot}%{_bindir}
install -pm 0644 SDL/SimCoupe.bmp %{buildroot}%{_datadir}/%{name}
install -pm 0644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

desktop-file-install --vendor fedora \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc ChangeLog.txt License.txt SimCoupe.txt B-DOS-License.txt
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/%{name}


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Apr 25 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-4
- Some small cleanups as preparation for Fedora submission
- Remove the included samcoupe 3.0 rom from the binary, instead always load
  it from disk (reusing the custom rom loading code). This is done because the
  rom included in a .h file as one byte array, is hardly the prefered form for
  editing, iow the rom is not GPL compatible licensed (as it does not come with
  source) and thus may not be linked into the GPL binary
- Requires samcoupe-rom, which provides the now needed rom file
- Add B-DOS-License.txt, which gives license info for the included B-DOS ROM
  patches

* Wed Dec 12 2007 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-3
- Minor spec changes for devel
- License change due to new guidelines

* Sun Mar 11 2007 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-2
- Dropped dribble-menus requirement, due to be obsoleted
- Changed .desktop category to Game;Emulator;

* Sun Aug 06 2006 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-1
- Upgraded to official release
- Added patch to use system SAASound and not the bundled one.
- Now builds icon image rather than bundling it

* Mon Jul 17 2006 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-0.4.cvs
- Moved icon installation to make it freedesktop compliant
- Added %%post and %%postun sections to update icon cache at installation

* Sat Jun 24 2006 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-0.3.cvs
- Cosmetic fixes for the Dribble repository

* Mon May 29 2006 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-0.2.cvs
- Corrected release name format to 0.%%{X}.%%{alphatag} from 0.%%{alphatag}.%%{X}
- Added patch to compile using rpmoptflags

* Sun May 07 2006 Ian Chapman <packages[AT]amiga-hardware.com> 1.0-0.cvs.1.iss
- Altered spec file to more closely follow Fedora guidelines
- Updated to latest cvs sources

* Mon Feb 28 2005 Ian Chapman <packages[AT]amiga-hardware.com> 0.90-2.iss
- Added sound support. Suitable SAASound package found with compatible license

* Tue Feb 22 2005 Ian Chapman <packages[AT]amiga-hardware.com> 0.90-1.iss
- Initial Release